org.glassfish.jersey.server

## Class ChunkedResponseWriter

- java.lang.Object
- - org.glassfish.jersey.server.ChunkedResponseWriter

All Implemented Interfaces:
  jakarta.ws.rs.ext.MessageBodyWriter<ChunkedOutput<?>>

    public final class ChunkedResponseWriter
    extends Object
    implements jakarta.ws.rs.ext.MessageBodyWriter<ChunkedOutput<?>>

Used for writing `ChunkedOutput`.

Author:
  Pavel Bucek
See Also:
  `MessageBodyWriter`

### Constructor Summary

Constructors
Constructor and Description
`ChunkedResponseWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getSize(ChunkedOutput<?> chunkedOutput, Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`boolean` `isWriteable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`void` `writeTo(ChunkedOutput<?> chunkedOutput, Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,Object> httpHeaders, OutputStream entityStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChunkedResponseWriter

    public ChunkedResponseWriter()

### Method Detail

#### isWriteable

    public boolean isWriteable(Class<?> type,
                               Type genericType,
                               Annotation[] annotations,
                               jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `isWriteable` in interface `jakarta.ws.rs.ext.MessageBodyWriter<ChunkedOutput<?>>`

#### getSize

    public long getSize(ChunkedOutput<?> chunkedOutput,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotations,
                        jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `getSize` in interface `jakarta.ws.rs.ext.MessageBodyWriter<ChunkedOutput<?>>`

#### writeTo

    public void writeTo(ChunkedOutput<?> chunkedOutput,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotations,
                        jakarta.ws.rs.core.MediaType mediaType,
                        jakarta.ws.rs.core.MultivaluedMap<String,Object> httpHeaders,
                        OutputStream entityStream)
                 throws IOException,
                        jakarta.ws.rs.WebApplicationException

Specified by:
  `writeTo` in interface `jakarta.ws.rs.ext.MessageBodyWriter<ChunkedOutput<?>>`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`